clear
close all

R=[.5 0  1; 0  1  0; 1 0  .5];
G=[.5 .6 0; .6 0 .6; 0 .6 .5];
B=[.5 1  0; 1  0  1; 0 0  .5];

I3C=zeros([size(R) 3]);
I3C(:,:,1)=R;
I3C(:,:,2)=G;
I3C(:,:,3)=B;

figure(1), imagesc(I3C), title('RGB image')

Iint=rgb2gray(I3C);
figure(2)
imagesc(Iint), colormap(gray), title('intensity image'), colorbar

Ineg=1-Iint;
figure(3)
imagesc(Ineg), colormap(gray), title('negative image'), colorbar