clear
close all

img='/Users/marcel/Documents/MATLAB/0-images-exemples/classiques/house.jpg'
I=imread(img);
I=rgb2gray(I);
I=double(I)/255.0;
Ib=imnoise(I, 'salt & pepper', 0.01);

h=ones(3,3)/9;
If=filter2(h,Ib);

g=[1 2 1;2 4 2;1 2 1]/16.
Ig=filter2(g,Ib);

figure
subplot(2,2,1), imshow(I), title('image originale'), colorbar
subplot(2,2,2), imshow(Ib), title('image bruitee'), colorbar
subplot(2,2,3), imshow(If), title('moyenne glissante'), colorbar
subplot(2,2,4), imshow(Ig), title('filtre gaussien'), colorbar