clear
close all

img='/Users/marcel/Documents/MATLAB/0-images-exemples/classiques/house.jpg'
I=imread(img);
I=rgb2gray(I);
I=double(I)/255.0;
Ib=imnoise(I, 'salt & pepper', 0.01);

%hi = [-1 -1 -1;-1 9 -1;-1 -1 -1]
hi=-ones(3,3); hi(2,2)=9

% version sans boucle for :
I_hi = filter2(hi, I);
I_hi2 = filter2(hi, I_hi);
I_hi3 = filter2(hi, I_hi2);

Ib_hi = filter2(hi, Ib);
Ib_hi2 = filter2(hi, Ib_hi);
Ib_hi3 = filter2(hi, Ib_hi2);

figure(1), colormap('gray')

subplot(2,4,1), imshow(I), title('image originale'), colorbar
subplot(2,4,2), imshow(I_hi), title('passe-haut, 1 passage'), colorbar
subplot(2,4,3), imshow(I_hi2), title('passe-haut, 2 passages'), colorbar
subplot(2,4,4), imshow(I_hi3), title('passe-haut, 3 passages'), colorbar

subplot(2,4,5), imshow(Ib), title('image bruite'), colorbar
subplot(2,4,6), imshow(Ib_hi), title('passe-haut, 1 passage'), colorbar
subplot(2,4,7), imshow(Ib_hi2), title('passe-haut, 2 passages'), colorbar
subplot(2,4,8), imshow(Ib_hi3), title('passe-haut, 3 passages'), colorbar

% version avec boucle for :
figure(2)

Ih = I;
subplot(2,4,1), imshow(I), title('image originale'), colorbar
for n=1:3
    Ih = filter2(hi, Ih);
    subplot(2,4,n+1), imshow(Ih), colorbar
    title(['passe-haut ',int2str(n),' passage(s)'])
end

Ih = Ib;
subplot(2,4,5), imshow(I), title('image bruite'), colorbar
for n=1:3
    Ih = filter2(hi, Ih);
    subplot(2,4,n+5), imshow(Ih), colorbar
    title(['passe-haut ',int2str(n),' passage(s)'])
end