clear
close all

dir='/Users/marcel/Documents/MATLAB/0-images-exemples/';
img=[dir,'materiaux/serveimage-13.jpeg'];
I=imread(img);
I=rgb2gray(I);
I=double(I)/255.0;

figure

subplot(2,4,1), imshow(I)
title({'reprsentation avec imshow' ; 'image originale'}), colorbar
colormap('gray')
subplot(2,4,5), imagesc(I), axis('image'), colorbar
title({'reprsentation avec imagesc' ; 'image originale'})

h=ones(3,3);
I1=filter2(h,I, 'same');
whos I1
subplot(2,4,2), imshow(I1)
title('moyenne glissante pas normalisee'), colorbar
subplot(2,4,6), imagesc(I1), axis('image'), colorbar
title('moyenne glissante pas normalise')

h=h/9.;
I2=filter2(h,I, 'full');
whos I2
subplot(2,4,3), imshow(I2)
title('moyenne glissante normalise'), colorbar
subplot(2,4,7), imagesc(I2), axis('image'), colorbar
title('moyenne glissante normalise')

h=h/9.;
I3=filter2(h,I, 'valid');
subplot(2,4,4), imshow(I3)
whos I3
title('moyenne glissante "trop normalise"'), colorbar
subplot(2,4,8), imagesc(I3), axis('image'), colorbar
title('moyenne glissante "trop normalise"')