clear
close all

% image de la grenouille
img='/Users/marcel/Documents/MATLAB/0-images-exemples/classiques/frog.jpg';
frog=imread(img);
I=rgb2gray(frog);
I=double(I)/255.;

% filtre de Prewitt
Ph=fspecial('prewitt');
Pv=-Ph';
IPh=filter2(Ph,I);
IPv=filter2(Pv,I);
IPvh=sqrt(IPv.^2+IPh.^2);

figure, colormap('gray')
subplot(2,2,1), imagesc(IPv), colorbar, title('Prewitt vertical')
axis('square')
subplot(2,2,2), imagesc(IPh), colorbar, title('Prewitt horizontal')
axis('square')
subplot(2,2,3), imagesc(IPvh),colorbar, title('Prewitt combin')
axis('square')

% seuillage
seuil=0.5;
IPs=(IPvh>seuil);

subplot(2,2,4), imagesc(IPs), colorbar, title('Prewitt seuil')
axis('square')
