clear
close all

I=imread('/Users/marcel/Documents/MATLAB/0-images-exemples/classiques/house.jpg');
I=rgb2gray(I);
I=double(I)/255.0;
Ib=imnoise(I, 'salt & pepper', 0.01);

% 1re mthode
figure(1)
subplot(3,3,1), imagesc(I), title('image originale'), colormap(gray), colorbar, axis('image')
subplot(3,3,2), imagesc(Ib), title('image bruitee'), colorbar, axis('image')

h3=ones(3,3)/9;
I3=filter2(h3,Ib);
subplot(3,3,4), imagesc(I3), title('filtrage 3x3'), colorbar, axis('image')

h5=ones(5,5)/5^2;
I5=filter2(h5,Ib);
subplot(3,3,5), imagesc(I5), title('filtrage 5x5'), colorbar, axis('image')

h7=ones(7,7)/7^2;
I7=filter2(h7,Ib);
subplot(3,3,6), imagesc(I7), title('filtrage 7x7'), colorbar, axis('image')

subplot(3,3,7), imagesc(I3), title('filtrage 3x3, 1 fois'), colorbar, axis('image')

I3_2=filter2(h3,I3);
subplot(3,3,8), imagesc(I3_2), title('filtrage 3x3, 2 fois'), colorbar, axis('image')

I3_3=filter2(h3,I3_2);
subplot(3,3,9), imagesc(I3_3), title('filtrage 3x3, 3 fois'), colorbar, axis('image')

% 2me mthode
figure(2)
subplot(3,3,1), imagesc(I), title('image originale'), colormap(gray), colorbar, axis('image')
subplot(3,3,2), imagesc(Ib), title('image bruitee'), colorbar, axis('image')

for n=1:3
    h=ones(2*n+1,2*n+1)/(2*n+1)^2;
    If=filter2(h,Ib);
    subplot(3,3,n+3), imagesc(If), colorbar, axis('image')
    title(['filtrage ',int2str(2*n+1),'x',int2str(2*n+1)])
end

h=ones(3,3)/9;
If=Ib;
for n=1:3
    If=filter2(h,If);
    subplot(3,3,n+6), imagesc(If), colorbar, axis('image')
    title(['filtrage 3x3, ',int2str(n),' fois'])
end