clear
close all

% image de la petite maison
dir='/Users/marcel/Documents/MATLAB/0-images-exemples/';
img=[dir,'materiaux/serveimage-13.jpeg'];
I=imread(img);
I=rgb2gray(I);
I=double(I)/255.0;

%---
% bruit gaussien avec une variance relative de 1%
Ib=imnoise(I, 'gaussian', 0., 0.01);

% dbruitage par le filtre m�dian
Imed=medfilt2(Ib);

% dbruitage par la moyenne glissante 3x3
Im3=filter2(ones(3,3)/9.,Ib);

% dbruitage par la moyenne glissante 5x5
Im5=filter2(ones(5,5)/25.,Ib);

% figure
figure
subplot(2,3,1), imshow(I), title('image de dpart'), colorbar
subplot(2,3,2), imshow(Ib), title('bruit gaussien'), colorbar
subplot(2,3,4), imshow(Imed), title('bruit g. + filtrage mdian'), colorbar
subplot(2,3,5), imshow(Im3), title('bruit g. + moy. gliss. 3x3'), colorbar
subplot(2,3,6), imshow(Im5), title('bruit g. + moy. gliss. 5x5'), colorbar